Subject: Re: [bug#40994] patch#40994 Programs With Movie Titles (PWMT)

From: Raghav Gururajan <[email-masked]>
Date: Thu, 7 May 2020 23:37:50 -0400

Hi Marius!

> I know it's a lot to ask, but it would be great if you could split this
> up in multiple patches, one per logical change.  I.e. this one patch
> would be better as a series like:
> 
> Raghav Gururajan (7):
>   gnu: girara: Download tarball instead of git source.
>   gnu: girara: Wrap with Glib variables.
>   gnu: girara: Add notification support.
>   gnu: girara: Build and install documentation.
>   gnu: girara: Do not propagate GTK+.
>   gnu: girara: Enable more features.
>   gnu: girara: Update synopsis & description.

Oh yeah, this is lot and I cannot do at this time. But I have sent updated
patch-set that splits some changes. :-)

Anyway, this suggestion is very useful, so that I can use it moving forward.

> I'm also skeptical about some of these (why is #:glib-or-gtk? necessary
> for this library, why does GTK+ no longer need to be propagated, and
> what are all those new inputs for?).  By lumping everything together
> it's difficult to reason about these changes.
>
> Same here, what do these inputs do?
> 
> > [inputs]<appstream-glib,cairo,file,girara,glib,json-c,gtk+,libnotify,  
> > libseccomp>: New inputs.  
> 
> And these?

I have used comments in the package definition. :-)

> Why does this plugin package need #:glib-or-gtk?.

That was a mistake. I removed it in the new patch-set.

> > [inputs]<cairo,girara,glib,gtk+,json-c,libnotify>: New inputs.  
> 
> It's strange that all of these packages require almost the exact same
> set of inputs.  Perhaps they should be propagated somewhere?

That's correct. cairo and girara are effect of removing propagation in zathura.
I think it is better not to propagate things, unless it is absolutely
necessary. Other inputs are simply required to generate 'cargs'.

> I think you catch my drift here, can you send an updated series?

I have sent an updated patch-set to the thread, with changes I could do at this
time. :-)

Regards,
RG.